<?php
require_once '../database_config.php';

// 检查用户是否有权限访问此页面
check_permission_or_die('booking');

// 记录访问日志
record_log('访问预订管理页面');
?>

<!DOCTYPE html>
<html lang="zh-CN">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo title; ?></title>
    <link rel="stylesheet" href="../style.css">
</head>

<body>
    <div class="container">
        <div class="header-local">
            <h2>预订管理</h2>
        </div>

        <div class="content">
            <div class="dashboard">
                <div class="dashboard-card">
                    <h3>当前预订</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM booking_orders WHERE status IN (1,2)"); // 待确认和已确认的订单
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">待确认：<?php
                                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM booking_orders WHERE status = 1");
                                            $result = $stmt->fetch();
                                            echo $result['count'];
                                            ?></div>
                </div>

                <div class="dashboard-card">
                    <h3>今日预抵店</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM booking_orders WHERE DATE(arrival_date) = CURDATE() AND status = 2");
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">已入住：<?php
                                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM booking_orders WHERE DATE(arrival_date) = CURDATE() AND status = 4");
                                            $result = $stmt->fetch();
                                            echo $result['count'];
                                            ?></div>
                </div>

                <div class="dashboard-card">
                    <h3>今日预离店</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM booking_orders WHERE DATE(departure_date) = CURDATE() AND status = 4");
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">已离店：<?php
                                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM booking_orders WHERE DATE(departure_date) = CURDATE() AND status = 5");
                                            $result = $stmt->fetch();
                                            echo $result['count'];
                                            ?></div>
                </div>

                <div class="dashboard-card">
                    <h3>OTA预订</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM booking_orders WHERE channel_id > 3 AND status IN (1,2)"); // 假设ID>3的是OTA渠道
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">本月OTA预订：<?php
                                                $stmt = $pdo->query("SELECT COUNT(*) as count FROM booking_orders WHERE channel_id > 3 AND DATE_FORMAT(create_time, '%Y%m') = DATE_FORMAT(NOW(), '%Y%m')");
                                                $result = $stmt->fetch();
                                                echo $result['count'];
                                                ?></div>
                </div>
            </div>

            <h2>功能导航</h2>
            <div class="function-links">
                <a href="order.php" class="function-link">
                    <h3>订单管理</h3>
                </a>
                <a href="status.php" class="function-link">
                    <h3>房态管理</h3>
                </a>
                <a href="remind.php" class="function-link">
                    <h3>预订提醒</h3>
                </a>
            </div>

            <h2>预订统计数据</h2>
            <div class="system-info">
                <table class="info-table">
                    <tr>
                        <td>今日新增预订：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM booking_orders WHERE DATE(create_time) = CURDATE()");
                            $result = $stmt->fetch();
                            echo $result['count'];
                            ?></td>
                    </tr>
                    <tr>
                        <td>本月预订总数：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM booking_orders WHERE DATE_FORMAT(create_time, '%Y%m') = DATE_FORMAT(NOW(), '%Y%m')");
                            $result = $stmt->fetch();
                            echo $result['count'];
                            ?></td>
                    </tr>
                    <tr>
                        <td>本月取消预订：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM booking_orders WHERE status = 3 AND DATE_FORMAT(update_time, '%Y%m') = DATE_FORMAT(NOW(), '%Y%m')");
                            $result = $stmt->fetch();
                            echo $result['count'];
                            ?></td>
                    </tr>
                    <tr>
                        <td>前台预订：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM booking_orders WHERE channel_id = 1");
                            $result = $stmt->fetch();
                            echo $result['count'];
                            ?></td>
                    </tr>
                    <tr>
                        <td>官网预订：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM booking_orders WHERE channel_id = 2");
                            $result = $stmt->fetch();
                            echo $result['count'];
                            ?></td>
                    </tr>
                    <tr>
                        <td>电话预订：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM booking_orders WHERE channel_id = 3");
                            $result = $stmt->fetch();
                            echo $result['count'];
                            ?></td>
                    </tr>
                    <tr>
                        <td>OTA预订：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM booking_orders WHERE channel_id > 3");
                            $result = $stmt->fetch();
                            echo $result['count'];
                            ?></td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</body>

</html>